
Public Class DefaultSearchFieldFormatter
    Implements ISearchFieldFormatter

    Private searchInfo As ISearchFieldInfo


    Public Property SearchField() As ISearchFieldInfo Implements ISearchFieldFormatter.SearchField
        Get

            If Me.searchInfo Is Nothing Then Me.searchInfo = New SearchFieldInfo

            Return Me.searchInfo
        End Get
        Set(ByVal value As ISearchFieldInfo)
            Me.searchInfo = value
        End Set
    End Property

    Public Function ToSearchString(ByVal value As String) As String Implements ISearchFieldFormatter.ToSearchString

        Return Web.HttpUtility.UrlEncode(value & Me.SearchField.Tag)

    End Function
End Class
