Public Class CancerchromosomesSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		submitter = 0
		casename = 1
		title = 2
		journal = 3
		authors = 4
		volume = 5
		year = 6
		issue = 7
		pages = 8
		karyotype = 9
		cellid = 10
		cghinfo = 11
		diagnosis = 12
		site = 13
		organism = 14
		clinical = 15
		pmid = 16
		addninfo = 17
		csid = 18
		srcdb = 19
		view = 20
		skybreakpoints = 21
		skyjunctions = 22
		normalchromosomedeviation = 23
		cghnormalchromosomedeviation = 24
		abnormalchromosomes = 25
		BandsAmpDelSKY = 26
		BandsAmpDelCGHmanual = 27
		BandsAmpDelCGHrawdata = 28
		cghbreakpointsmanual = 29
		cghbreakpointsrawdata = 30
		BasePairAmpDelCGH = 31
		BasePairAmpDelSKY = 32
		AbnormalTerminals = 33
		cloneno = 34
		CloneIds = 35
		CaseIds = 36
		IgnoredBandsAmpDelSKY = 37

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function Getsubmitter() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.submitter)

	End Function

	Public Function Getcasename() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.casename)

	End Function

	Public Function Gettitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.title)

	End Function

	Public Function Getjournal() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.journal)

	End Function

	Public Function Getauthors() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.authors)

	End Function

	Public Function Getvolume() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.volume)

	End Function

	Public Function Getyear() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.year)

	End Function

	Public Function Getissue() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.issue)

	End Function

	Public Function Getpages() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.pages)

	End Function

	Public Function Getkaryotype() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.karyotype)

	End Function

	Public Function Getcellid() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.cellid)

	End Function

	Public Function Getcghinfo() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.cghinfo)

	End Function

	Public Function Getdiagnosis() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.diagnosis)

	End Function

	Public Function Getsite() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.site)

	End Function

	Public Function Getorganism() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.organism)

	End Function

	Public Function Getclinical() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.clinical)

	End Function

	Public Function Getpmid() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.pmid)

	End Function

	Public Function Getaddninfo() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.addninfo)

	End Function

	Public Function Getcsid() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.csid)

	End Function

	Public Function Getsrcdb() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.srcdb)

	End Function

	Public Function Getview() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.view)

	End Function

	Public Function Getskybreakpoints() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.skybreakpoints)

	End Function

	Public Function Getskyjunctions() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.skyjunctions)

	End Function

	Public Function Getnormalchromosomedeviation() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.normalchromosomedeviation)

	End Function

	Public Function Getcghnormalchromosomedeviation() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.cghnormalchromosomedeviation)

	End Function

	Public Function Getabnormalchromosomes() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.abnormalchromosomes)

	End Function

	Public Function GetBandsAmpDelSKY() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BandsAmpDelSKY)

	End Function

	Public Function GetBandsAmpDelCGHmanual() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BandsAmpDelCGHmanual)

	End Function

	Public Function GetBandsAmpDelCGHrawdata() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BandsAmpDelCGHrawdata)

	End Function

	Public Function Getcghbreakpointsmanual() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.cghbreakpointsmanual)

	End Function

	Public Function Getcghbreakpointsrawdata() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.cghbreakpointsrawdata)

	End Function

	Public Function GetBasePairAmpDelCGH() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BasePairAmpDelCGH)

	End Function

	Public Function GetBasePairAmpDelSKY() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BasePairAmpDelSKY)

	End Function

	Public Function GetAbnormalTerminals() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.AbnormalTerminals)

	End Function

	Public Function Getcloneno() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.cloneno)

	End Function

	Public Function GetCloneIds() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CloneIds)

	End Function

	Public Function GetCaseIds() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.CaseIds)

	End Function

	Public Function GetIgnoredBandsAmpDelSKY() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.IgnoredBandsAmpDelSKY)

	End Function




End Class
