Public Class GapSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		dstudyresults = 0
		dvariableresults = 1
		ddocumentresults = 2
		danalysisresults = 3

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function Getdstudyresults() As Object

		Return MyBase.GetStructure(Me.docSumField, ItemTypeField.dstudyresults)

	End Function

	Public Function Getdvariableresults() As Object

		Return MyBase.GetStructure(Me.docSumField, ItemTypeField.dvariableresults)

	End Function

	Public Function Getddocumentresults() As Object

		Return MyBase.GetStructure(Me.docSumField, ItemTypeField.ddocumentresults)

	End Function

	Public Function Getdanalysisresults() As Object

		Return MyBase.GetStructure(Me.docSumField, ItemTypeField.danalysisresults)

	End Function




End Class
