Public Class HomologeneSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		HomoloGeneDataList = 0
		Caption = 1

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetHomoloGeneDataList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.HomoloGeneDataList)

	End Function

	Public Function GetCaption() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Caption)

	End Function




End Class
