Public Class NcbisearchSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Title = 0
		Description = 1
		Url = 2
		Category = 3
		DateField = 4
		HomePage = 5
		LinkCount = 6
		Authors = 7

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetTitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Title)

	End Function

	Public Function GetDescription() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Description)

	End Function

	Public Function GetUrl() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Url)

	End Function

	Public Function GetCategory() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Category)

	End Function

	Public Function GetDateField() As STring

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.DateField)

	End Function

	Public Function GetHomePage() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.HomePage)

	End Function

	Public Function GetLinkCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.LinkCount)

	End Function

	Public Function GetAuthors() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Authors)

	End Function




End Class
