Public Class ToolkitSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Doxid = 0
		Def = 1
		DefType = 2
		ShortDesc = 3
		LongDesc = 4
		File = 5
		Modifiers = 6
		Attr = 7
		Lines = 8
		Link = 9
		NameField = 10
		DefinedBy = 11

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetDoxid() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Doxid)

	End Function

	Public Function GetDef() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Def)

	End Function

	Public Function GetDefType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DefType)

	End Function

	Public Function GetShortDesc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ShortDesc)

	End Function

	Public Function GetLongDesc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LongDesc)

	End Function

	Public Function GetFile() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.File)

	End Function

	Public Function GetModifiers() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Modifiers)

	End Function

	Public Function GetAttr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Attr)

	End Function

	Public Function GetLines() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Lines)

	End Function

	Public Function GetLink() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Link)

	End Function

	Public Function GetNameField() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NameField)

	End Function

	Public Function GetDefinedBy() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DefinedBy)

	End Function




End Class
