Public Class GdsSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		GDS = 0
		title = 1
		summary = 2
		GPL = 3
		GSE = 4
		taxon = 5
		GSML = 6
		GSMtitlesL = 7
		entryType = 8
		gdsType = 9
		ptechType = 10
		valType = 11
		SSInfo = 12
		subsetInfo = 13
		PDAT = 14
		suppFile = 15
		Samples = 16

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetGDS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GDS)

	End Function

	Public Function Gettitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.title)

	End Function

	Public Function Getsummary() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.summary)

	End Function

	Public Function GetGPL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GPL)

	End Function

	Public Function GetGSE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GSE)

	End Function

	Public Function Gettaxon() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.taxon)

	End Function

	Public Function GetGSML() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GSML)

	End Function

	Public Function GetGSMtitlesL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GSMtitlesL)

	End Function

	Public Function GetentryType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.entryType)

	End Function

	Public Function GetgdsType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.gdsType)

	End Function

	Public Function GetptechType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ptechType)

	End Function

	Public Function GetvalType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.valType)

	End Function

	Public Function GetSSInfo() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SSInfo)

	End Function

	Public Function GetsubsetInfo() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.subsetInfo)

	End Function

	Public Function GetPDAT() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PDAT)

	End Function

	Public Function GetsuppFile() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.suppFile)

	End Function

	Public Function GetSamples() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.Samples)

	End Function




End Class
