Public Class NucestSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Caption = 0
		Title = 1
		Extra = 2
		Gi = 3
		CreateDate = 4
		UpdateDate = 5
		Flags = 6
		TaxId = 7
		Length = 8
		Status = 9
		ReplacedBy = 10
		Comment = 11

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetCaption() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Caption)

	End Function

	Public Function GetTitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Title)

	End Function

	Public Function GetExtra() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Extra)

	End Function

	Public Function GetGi() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Gi)

	End Function

	Public Function GetCreateDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CreateDate)

	End Function

	Public Function GetUpdateDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.UpdateDate)

	End Function

	Public Function GetFlags() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Flags)

	End Function

	Public Function GetTaxId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TaxId)

	End Function

	Public Function GetLength() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Length)

	End Function

	Public Function GetStatus() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Status)

	End Function

	Public Function GetReplacedBy() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ReplacedBy)

	End Function

	Public Function GetComment() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Comment)

	End Function




End Class
