Public Class ProbeSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		NameField = 0
		title = 1
		ptype = 2
		caption = 3
		issuppressed = 4
		isreplaced = 5
		suppressreason = 6

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetNameField() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NameField)

	End Function

	Public Function Gettitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.title)

	End Function

	Public Function Getptype() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ptype)

	End Function

	Public Function Getcaption() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.caption)

	End Function

	Public Function Getissuppressed() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.issuppressed)

	End Function

	Public Function Getisreplaced() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.isreplaced)

	End Function

	Public Function Getsuppressreason() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.suppressreason)

	End Function




End Class
